unit borderprev;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, BorderPage, Buttons;

type
  TForm1 = class(TForm)
    btnTop: TSpeedButton;
    btnBottom: TSpeedButton;
    btnLeft: TSpeedButton;
    btnRight: TSpeedButton;
    borderPage: TBorderPage;
    procedure borderPageBorderLineClick(Sender: TObject);
    procedure btnTopClick(Sender: TObject);
    procedure btnBottomClick(Sender: TObject);
    procedure btnLeftClick(Sender: TObject);
    procedure btnRightClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.borderPageBorderLineClick(Sender: TObject);
begin
   btnLeft.Down := (blLeft in borderPage.BorderLines) and (borderPage.EnabledBorderLines);
   btnTop.Down := (blTop in borderPage.BorderLines) and (borderPage.EnabledBorderLines);
   btnRight.Down := (blRight in borderPage.BorderLines) and (borderPage.EnabledBorderLines);
   btnBottom.Down := (blBottom in borderPage.BorderLines) and (borderPage.EnabledBorderLines);
end;

procedure TForm1.btnTopClick(Sender: TObject);
begin
   if btnTop.Down then
      borderPage.BorderLines := borderPage.BorderLines + [blTop]
   else
      borderPage.BorderLines := borderPage.BorderLines - [blTop];
end;

procedure TForm1.btnBottomClick(Sender: TObject);
begin
   if btnBottom.Down then
      borderPage.BorderLines := borderPage.BorderLines + [blBottom]
   else
      borderPage.BorderLines := borderPage.BorderLines - [blBottom];
end;

procedure TForm1.btnLeftClick(Sender: TObject);
begin
   if btnLeft.Down then
      borderPage.BorderLines := borderPage.BorderLines + [blLeft]
   else
      borderPage.BorderLines := borderPage.BorderLines - [blLeft];
end;

procedure TForm1.btnRightClick(Sender: TObject);
begin
   if btnRight.Down then
      borderPage.BorderLines := borderPage.BorderLines + [blRight]
   else
      borderPage.BorderLines := borderPage.BorderLines - [blRight];
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   borderPageBorderLineClick(Self);
end;

end.
